%define name xterm
%define version 131
%define url http://www.clark.net/pub/dickey/xterm/

Summary: %{name} - terminal emulator in an X windo
Name: %{name}
Version: %{version}
Release: 4mdk
Source0: %{url}/%{name}-%{version}.tar.bz2
Url: %{url}
Copyright: MIT
Group: Terminals
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Patch0: xterm-metaaltfix.patch.bz2
Requires: XFree86 >= 3.3.6-13mdk

%description
The xterm program is the standard terminal emulator for the X Window System. It
provides DEC VT102/VT220 and Tektronix 4014 compatible terminals for programs
that can't use the window system directly. If the underlying operating system
supports terminal resizing capabilities (for example, the SIGWINCH signal in
systems derived from 4.3bsd), xterm will use the facilities to notify programs
running in the window whenever it is resized.

%prep
%setup -q
%patch0 -p1 -b .chmou

%build
%configure --disable-toolbar
make

%install
rm -rf $RPM_BUILD_ROOT
r=${RPM_BUILD_ROOT}
make install appsdir=$r/usr/X11R6/lib/X11/app-defaults bindir=$r/usr/X11R6/bin  mandir=$r/usr/X11R6/man/man1 

mkdir -p $r/usr/lib/menu/
cat << EOF > $r/usr/lib/menu/xterm
?package(xterm):\
  needs=X11\
  section=Terminals\
  title="xterm"\
  command="/usr/X11R6/bin/xterm" \
  icon="terminal.xpm"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x /usr/bin/update-menus ];then
		/usr/bin/update-menus
fi

%postun
if [ -x /usr/bin/update-menus ];then
		/usr/bin/update-menus
fi

%files
%defattr(-,root,root)
%doc README*
/usr/X11R6/bin/*
/usr/X11R6/man/*/*
/usr/X11R6/lib/X11/app-defaults/*
/usr/lib/menu/%{name}

%changelog
* Fri May  5 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 131-4mdk
- remove full path of icon in menu entry

* Tue Apr  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 131-3mdk
- Set menu in /Terminals.

* Sat Apr  1 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 131-2mdk
- Requires: XFree86 >= 3.3.6-13mdk to avoid conflicts.

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 131-1mdk
- Menu.
- First version.
- Fix meta-alt keys (Hey hey fred ;)).

# end of file
